Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 137278 - ClassNotFoundException: org.netbeans.modules.languages.dataobject.LanguagesOptions
ClassNotFoundException: org.netbeans.modules.languages.dataobject.LanguagesOp...
Status: RESOLVED FIXED
Product: obsolete
Classification: Unclassified
Component: languages
6.x
All All
: P3 (vote)
: 6.x
Assigned To: issues@obsolete
issues@obsolete
http://statistics.netbeans.org/except...
EXCEPTIONS_REPORT
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 11:42 UTC by Jan Horvath
Modified: 2008-08-02 15:59 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
stacktrace (5.07 KB, text/plain)
2008-06-16 11:43 UTC, Jan Horvath
Details
stacktrace (5.16 KB, text/plain)
2008-06-18 00:51 UTC, Jesse Glick
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Horvath 2008-06-16 11:42:54 UTC
Build: NetBeans IDE Dev (Build 080616)
VM: Java HotSpot(TM) Client VM, 1.5.0_13-119, Java(TM) 2 Runtime Environment, Standard Edition, 1.5.0_13-b05-237
OS: Mac OS X, 10.5.3, i386

User Comments: 
started typing in the HQL Query editor
Comment 1 Jan Horvath 2008-06-16 11:43:02 UTC
Created attachment 62863 [details]
stacktrace
Comment 2 Jesse Glick 2008-06-18 00:51:47 UTC
Created attachment 62965 [details]
stacktrace
Comment 3 Vitezslav Stejskal 2008-06-18 15:16:32 UTC
This should not happen with properly imported userdir. The import procedure removes any potential Settings.settings
files from MimeLookup folders. However, I'm not sure how to enforce the import procedure from a dev build on an
arbitrary userdir.
Comment 4 Jesse Glick 2008-06-18 15:54:22 UTC
Similar to issue #137240, perhaps even could be considered a duplicate.

---%<--- ${netbeans.user}/config/Editors/text/sh/Settings.settings
<?xml version="1.0"?>
<!DOCTYPE settings PUBLIC "-//NetBeans//DTD Session settings 1.0//EN"
"http://www.netbeans.org/dtds/sessionsettings-1_0.dtd">
<settings version="1.0">
    <module name="org.netbeans.modules.languages"/>
    <instanceof class="java.io.Externalizable"/>
    <instanceof class="org.openide.util.SharedClassObject"/>
    <instanceof class="java.beans.beancontext.BeanContextProxy"/>
    <instanceof class="java.io.Serializable"/>
    <instanceof class="org.openide.options.SystemOption"/>
    <instanceof class="org.netbeans.modules.editor.options.OptionSupport"/>
    <instanceof class="org.netbeans.modules.editor.options.BaseOptions"/>
    <instance class="org.netbeans.modules.languages.dataobject.LanguagesOptions" method="create"/>
</settings>
---%<---

needs to get ignored by settings infrastructure.
Comment 5 Exceptions Reporter 2008-07-21 15:05:08 UTC
This issue has already 5 duplicates 
see http://statistics.netbeans.org/exceptions/detail.do?id=65854
Comment 6 Vitezslav Stejskal 2008-08-01 13:16:53 UTC
Thanks to Jirka and Jesse this can now easily be remedied - http://hg.netbeans.org/main/rev/761481b5c5ce
Comment 7 Quality Engineering 2008-08-02 15:59:14 UTC
Integrated into 'main-golden', available in build *200808021401* on http://bits.netbeans.org/dev/nightly/
Changeset: http://hg.netbeans.org/main/rev/761481b5c5ce
User: Vita Stejskal <vstejskal@netbeans.org>
Log: #137278 (fixed): preventing CNFE complaining about removed LanguagesOptions


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo